appId: com.toughra.ustadmobile
---
# in this test admin create a course and add members to the course -2 teachers and 6 students
  # Member list
  # -----name - username/password

  # teachers :
  # --0-- Teacher 1- t1/test
   # student :
  # --0-- Student 2      - s2/test


# test parameters needs to provide for this test :
# 1) TESTRESULTSDIR : ${TESTRESULTSDIR} : provides the path to store test results


# add new course
- runFlow:
    file: "./add_course.yaml"
    env:
      TESTCOURSENAME: ${TESTCOURSENAME}
# add new teacher using flow - add_new_teacher_inside_course ----------- Anu Madhav - Anu/test
- runFlow:
    file: "./add_new_teacher_inside_course.yaml"
    env:
      TESTCOURSENAME: ${TESTCOURSENAME}
      TEACHERFIRSTNAME: "Teacher"
      TEACHERLASTNAME: "1"
      USERNAME: "teach1"
      GENDER: "Female"
      PASSWORD: "testt1"
- tapOn:
    text: "Courses"
    index: 1
# add new student using flow - add_new_student_inside_course ----------- Justin Joe  - Justin/test
- runFlow:
    file: "./add_new_student_inside_course.yaml"
    env:
      TESTCOURSENAME: ${TESTCOURSENAME}
      STUDENTFIRSTNAME: "Student"
      STUDENTLASTNAME: "1"
      USERNAME: "stud1"
      GENDER: "Female"
      PASSWORD: "tests1"
- takeScreenshot: "${TESTRESULTSDIR}/screenshots/member_list_of_new_test_course"